octave-data-smoothing_1.3.0-7_all.deb


Advertisement

Description

octave-data-smoothing - functions to do data smoothing on noisy data

Property Value
Distribution Ubuntu 19.04 (Disco Dingo)
Repository Ubuntu Universe amd64
Package filename octave-data-smoothing_1.3.0-7_all.deb
Package name octave-data-smoothing
Package version 1.3.0
Package release 7
Package architecture all
Package type deb
Category universe/math
Homepage https://octave.sourceforge.io/data-smoothing/
License -
Maintainer Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Download size 8.94 KB
Installed size 42.00 KB
This package provides functions to do noisy data smoothing in Octave,
a numerical computation software. It contains functions to calculate
the divided difference of order d of a vector x (ddmat) and several
functions to do Tikhonov data manipulation.
This Octave add-on package is part of the Octave-Forge project.

Alternatives

Package Version Architecture Repository
octave-data-smoothing_1.3.0-7_all.deb 1.3.0 all Ubuntu Universe
octave-data-smoothing - - -

Requires

Name Value
octave >= 4.4.1
octave-optim >= 1.0.3

Download

Type URL
Mirror archive.ubuntu.com
Binary Package octave-data-smoothing_1.3.0-7_all.deb
Source Package octave-data-smoothing

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install octave-data-smoothing deb package:
    # sudo apt-get install octave-data-smoothing

Files

Path
/usr/share/doc/octave-data-smoothing/NEWS
/usr/share/doc/octave-data-smoothing/changelog.Debian.gz
/usr/share/doc/octave-data-smoothing/copyright
/usr/share/octave/packages/data-smoothing-1.3.0/ddmat.m
/usr/share/octave/packages/data-smoothing-1.3.0/doc-cache
/usr/share/octave/packages/data-smoothing-1.3.0/regdatasmooth.m
/usr/share/octave/packages/data-smoothing-1.3.0/rgdtsmcore.m
/usr/share/octave/packages/data-smoothing-1.3.0/rgdtsmcorewrap.m
/usr/share/octave/packages/data-smoothing-1.3.0/packinfo/DESCRIPTION
/usr/share/octave/packages/data-smoothing-1.3.0/packinfo/INDEX
/usr/share/octave/packages/data-smoothing-1.3.0/packinfo/NEWS

Changelog

2019-01-02 - Rafael Laboissiere <rafael@debian.org>
octave-data-smoothing (1.3.0-7) unstable; urgency=medium
[ Mike Miller ]
* d/control, d/copyright: Use secure URL for upstream source.
[ Rafael Laboissiere ]
* d/control:
+ Add Rules-Requires-Root: no
+ Bump Standards-Version to 4.3.0
+ Bump to debhelper compat level 12
* Build-depend on debhelper-compat instead of using d/compat
2018-02-10 - Rafael Laboissiere <rafael@debian.org>
octave-data-smoothing (1.3.0-6) unstable; urgency=medium
* Use dh-octave for building the package
* d/control:
+ Use Debian's GitLab URLs in Vcs-* headers
+ Change Maintainer to team+pkg-octave-team@tracker.debian.org
2017-12-29 - Rafael Laboissiere <rafael@debian.org>
octave-data-smoothing (1.3.0-5) unstable; urgency=medium
[ Sébastien Villemot ]
* d/copyright: use secure URL for format.
* d/watch: bump to format version 4.
[ Rafael Laboissiere ]
* Use the dh-based version of octave-pkg-dev
* Set debhelper compatibility level to >= 11
* d/control:
+ Bump Standards-Version to 4.1.3 (no changes needed)
+ Use secure URIs in the Vcs-* fields
+ Use cgit instead of gitweb in Vcs-Browser URL
+ Add Testsuite field
2015-07-26 - Sébastien Villemot <sebastien@debian.org>
octave-data-smoothing (1.3.0-4) unstable; urgency=medium
[ Rafael Laboissiere ]
* d/p/autoload-yes.patch: Remove patch (deprecated upstream)
2014-09-18 - Sébastien Villemot <sebastien@debian.org>
octave-data-smoothing (1.3.0-3) unstable; urgency=medium
[ Rafael Laboissiere ]
* debian/watch: Use the SourceForge redirector
* Remove obsolete DM-Upload-Allowed flag
[ Sébastien Villemot ]
* Add Rafael Laboissiere and Mike Miller to Uploaders.
* Bump to Standards-Version 3.9.6, no changes needed.
* Use my @debian.org email address
[ Thomas Weber ]
* debian/control: Use canonical URLs in Vcs-* fields
2012-03-22 - Sébastien Villemot <sebastien.villemot@ens.fr>
octave-data-smoothing (1.3.0-2) unstable; urgency=low
* debian/patches/autoload-yes.patch: new patch
2012-03-17 - Sébastien Villemot <sebastien.villemot@ens.fr>
octave-data-smoothing (1.3.0-1) unstable; urgency=low
* Imported Upstream version 1.3.0
* Bump to debhelper compat level 9
* debian/copyright: upgrade to machine-readable format 1.0
* Bump to Standards-Version 3.9.3, no changes needed
* Build-depend on octave-pkg-dev >= 1.0.1, to compile against Octave 3.6
* Remove ${shlibs:Depends}, meaningless on an arch:all package
2011-12-10 - Thomas Weber <tweber@debian.org>
octave-data-smoothing (1.2.3-1) unstable; urgency=low
[ Sébastien Villemot ]
* Imported Upstream version 1.2.3 (Closes: #651064)
* Bump to debhelper compat level 8
* Bump Standards-Version to 3.9.2, no changes needed
* Add myself to Uploaders
* debian/copyright: upgrade to latest DEP5
[ Thomas Weber ]
* Switch architecture to "all", the package contains only .m files.
* Remove debian/clean file; the current package doesn't have any of the
files mentioned there.
2011-02-23 - Thomas Weber <tweber@debian.org>
octave-data-smoothing (1.2.0-3) unstable; urgency=low
* debian/control:
- Remove Rafael Laboissiere from Uploaders (Closes: #571839)
- Remove Ólafur Jens Sigurðsson <ojsbug@gmail.com> from Uploaders
* Update copyright information
* Bump standards version to 3.9.1, no changes needed
* Switch to dpkg-source 3.0 (quilt) format
2009-11-29 - Thomas Weber <thomas.weber.mail@gmail.com>
octave-data-smoothing (1.2.0-2) unstable; urgency=low
[ Rafael Laboissiere ]
* debian/control: Build-depend on octave-pkg-dev >= 0.7.0, such that the
package is built against octave3.2

See Also

Package Description
octave-dataframe_1.2.0-4_all.deb manipulate data in Octave similar to R data.frame
octave-dicom_0.2.1-5_amd64.deb manipulate DICOM files in Octave
octave-divand_1.1.2+dfsg-4_all.deb n-dimensional interpolation for Octave
octave-doc_4.4.1-5_all.deb documentation of the GNU Octave language
octave-doctest_0.6.1-2_all.deb documentation tests for Octave
octave-econometrics_1.1.1-6_amd64.deb econometrics functions for Octave
octave-financial_0.5.3-2_all.deb financial package for Octave
octave-fits_1.0.7-2_amd64.deb manipulation of FITS files in Octave
octave-fpl_1.3.5-5_all.deb plot data on unstructured triangular and tetrahedral meshes in Octave
octave-fuzzy-logic-toolkit_0.4.5-2_all.deb fuzzy logic toolkit for Octave
octave-ga_0.10.0-6_all.deb genetic optimization code for Octave
octave-gdf_0.1.2-2.1build3_amd64.deb IO library for the GDF -- Octave interface
octave-general_2.1.0-2_amd64.deb provide extra general functions for Octave
octave-geometry_3.0.0-9_amd64.deb geometric computing functions for Octave
octave-gsl_2.1.1-2_amd64.deb GSL binding for Octave
Advertisement
Advertisement